package com.star.admin;

/**
 * Value class that contains information about insurance plans.
 * This is used to pass information between the InsurancePlanAdmin web service
 * and its clients.
 */
public class PlanInfo implements java.io.Serializable {

    public String planId;
    public String planName;
    public int planType;
    public double coverageFactor;
    public double ageFactor;
    public double smokerCost;
}
