
package com.star.payroll;

import javax.ejb.*;

/**
 * Local interface for the PayrollEJB.
 */
public interface PayrollLocal extends EJBLocalObject {
    void setBenefitsDeduction(int emplNumber, double deduction) 
        throws PayrollException;
    double getBenefitsDeduction(int emplNumber) 
        throws PayrollException;
    double getSalary(int emplNumber)
        throws PayrollException;
    void setSalary(int emplNumber, double salary)
        throws PayrollException;
}
