
package com.wombat.plan;

import javax.ejb.*;

/**
 * Local Home interface for DoctorEJB.
 */
public interface DoctorHome extends EJBLocalHome {

    Doctor create(String firstName, String lastName, String specialty, 
                  String[] hospitals, int practiceSince) 
        throws CreateException;

    Doctor findByPrimaryKey(DoctorPkey pkey) throws FinderException;
}
