
package com.star.benefits.plans;

import com.star.benefits.HealthPlan;

public class UnitedHealthPPOPlan implements HealthPlan {
    public UnitedHealthPPOPlan() { super(); }

    public String getPlanId() { return "UHPPO"; }
    public String getDescription() { return "UnitedHealth PPO"; }
    public double getCost(int coverage, int age, boolean smokerStatus) {
        switch (coverage) {
        case 0: return 100.00;     // Employee Only
        case 1: return 190.00;     // Employee and Spouse
        case 2: return 250.00;    // Employee, Spouse, and Children
        default: throw new IllegalArgumentException();
        }
    }
}
