
package com.wombat.benefits;


/**
 * Command bean interface for applying benefits deductions to employee payroll.
 * This interface is used by the EnrollmentBean.
 * Using this interface a customer can integrate a payroll system
 * with the benefits enrollment application developed by Wombat.
 */
public interface DeductionUpdateBean {

    public void setBenefitsDeduction(int emplNumber, double deduction);

    public void execute();

    public void release();
}

