package com.wombat.benefits;

import javax.ejb.*;
import java.rmi.RemoteException;

/**
 * Remote interface for EnrollmentEJB.
 */
public interface Enrollment extends EJBObject {
    EmployeeInfo getEmployeeInfo() 
        throws RemoteException, EnrollmentException;
    Options getCoverageOptions() 
        throws RemoteException, EnrollmentException;
    void setCoverageOption(int choice) 
        throws RemoteException, EnrollmentException;
    Options getMedicalOptions() 
        throws RemoteException, EnrollmentException;
    void setMedicalOption(int choice) 
        throws RemoteException, EnrollmentException;
    Options getDentalOptions() 
        throws RemoteException, EnrollmentException;
    void setDentalOption(int choice) 
        throws RemoteException, EnrollmentException;
    boolean isSmoker() 
        throws RemoteException, EnrollmentException;
    void setSmoker(boolean status) 
        throws RemoteException, EnrollmentException;
    Summary getSummary()
        throws RemoteException, EnrollmentException;
    void commitSelections() 
        throws RemoteException, EnrollmentException;
}
