package com.wombat.benefits;

import com.wombat.plan.Plan;

/**
 * This class stores intermediate values of the employee's benefits selections
 * for the duration of the Enrollment session, until they are committed to 
 * the SelectionEJB.
 */
public class SelectionCopy implements java.io.Serializable {
    private Employee employee;
    private int coverage;
    private Plan medicalPlan;
    private Plan dentalPlan;
    private boolean smoker;

    public Employee getEmployee() { return employee; }
    public int getCoverage() { return coverage; }
    public Plan getMedicalPlan() { return medicalPlan; }
    public Plan getDentalPlan() { return dentalPlan; }
    public boolean isSmoker() { return smoker; }
    public void setEmployee(Employee v) { employee = v; }
    public void setCoverage(int v) { coverage = v; }
    public void setMedicalPlan(Plan v) { medicalPlan = v; }
    public void setDentalPlan(Plan v) { dentalPlan = v; }
    public void setSmoker(boolean v) { smoker = v; }
}
