
package com.wombat.benefits;

/**
 * Value class that stores benefits selection summary information.
 * This is used to pass benefits information between remote clients and EJBs.
 */
public class Summary implements java.io.Serializable {
    private String coverageOption;
    private String medicalOption;
    private String dentalOption;
    private double medicalOptionCost;
    private double dentalOptionCost;
    private double totalCost;
    private double payrollDeduction;
    private boolean smoker;

    public Summary() { }

    public String getCoverageDescription() { 
        return coverageOption; 
    }

    public void setCoverageDescription(String s) { 
        coverageOption = s; 
    }

    public String getMedicalDescription() { 
        return medicalOption;
    }

    public void setMedicalDescription(String s) { 
        medicalOption = s; 
    }

    public String getDentalDescription() { 
        return dentalOption;
    }

    public void setDentalDescription(String s) { 
        dentalOption = s; 
    }

    public double getMedicalCost() {
        return medicalOptionCost;
    }

    public void setMedicalCost(double c) {
        medicalOptionCost = c;
    }

    public double getDentalCost() { 
        return dentalOptionCost;
    }

    public void setDentalCost(double c) {
        dentalOptionCost = c;
    }

    public double getTotalCost() {
        return totalCost;
    }

    public void setPayrollDeduction(double c) {
        payrollDeduction = c;
    }

    public double getPayrollDeduction() {
        return payrollDeduction;
    }

    public void setTotalCost(double c) {
        totalCost = c;
    }
    public boolean isSmoker() {
        return smoker;
    }

    public void setSmoker(boolean s) {
        smoker  = s;
    }
}
