package com.star.benefits;

/**
 * Value class that stores employee information.
 * This is used to pass employee information between remote clients and EJBs.
 */
public class EmployeeInfo implements java.io.Serializable {
    int employeeNumber;
    String firstName;
    String lastName;

    public EmployeeInfo() { }
    public EmployeeInfo(int emplnum, String fname, String lname) {
        employeeNumber = emplnum;
        firstName = fname;
        lastName = lname;
    }
    public int getEmployeeNumber() { return employeeNumber; }
    public String getFirstName() { return firstName; }
    public String getLastName() { return lastName; }
    public void setEmployeeNumber(int val) { employeeNumber = val; }
    public void setFirstName(String val) { firstName = val; }
    public void setLastName(String val) { lastName = val; }
}
