package com.star.benefits;

/**
 * Value class that stores benefits selection summary information.
 * This is used to pass benefits information between remote clients and EJBs.
 */
public class Summary implements java.io.Serializable {
    String coverageOption;
    String medicalOption;
    String dentalOption;
    double medicalOptionCost;
    double dentalOptionCost;
    double totalCost;
    double payrollDeduction;
    boolean smokerStatus;

    public Summary() { }

    public String getCoverageDescription() { 
        return coverageOption; 
    }
    public void setCoverageDescription(String s) { 
        coverageOption = s; 
    }

    public String getMedicalDescription() { 
        return medicalOption;
    }
    public void setMedicalDescription(String s) { 
        medicalOption = s; 
    }

    public String getDentalDescription() { 
        return dentalOption;
    }
    public void setDentalDescription(String s) { 
        dentalOption = s; 
    }

    public double getMedicalCost() {
        return medicalOptionCost;
    }
    public void setMedicalCost(double c) {
        medicalOptionCost = c;
    }

    public double getDentalCost() { 
        return dentalOptionCost;
    }
    public void setDentalCost(double c) {
        dentalOptionCost = c;
    }

    public double getTotalCost() {
        return totalCost;
    }
    public void setTotalCost(double c) {
        totalCost = c;
    }

    public void setPayrollDeduction(double c) {
        payrollDeduction = c;
    }
    public double getPayrollDeduction() {
        return payrollDeduction;
    }

    public boolean getSmokerStatus() {
        return smokerStatus;
    }
    public void setSmokerStatus(boolean s) {
        smokerStatus  = s;
    }
}
