
package com.star.benefits.plans;

import com.star.benefits.HealthPlan;

public class Kaiser implements HealthPlan {
    public Kaiser() { super(); }

    public String getPlanId() { return "KAISER"; }
    public String getDescription() { return "Kaiser"; }
    public double getCost(int coverage, int age, boolean smokerStatus) {
        switch (coverage) {
        case 0: return 60.00;     // Employee Only
        case 1: return 110.00;    // Employee and Spouse
        case 2: return 150.00;    // Employee, Spouse, and Children
        default: throw new IllegalArgumentException();

        }
    }
}
