
package com.star.benefits.plans;

import com.star.benefits.HealthPlan;

public class UnitedHealthHMOPlan implements HealthPlan {
    public UnitedHealthHMOPlan() { super(); }

    public String getPlanId() { return "UHHMO"; }
    public String getDescription() { return "UnitedHealth HMO"; }
    public double getCost(int coverage, int age, boolean smokerStatus) {
        switch (coverage) {
        case 0: return 90.00;     // Employee Only
        case 1: return 170.00;     // Employee and Spouse
        case 2: return 230.00;    // Employee, Spouse, and Children
        default: throw new IllegalArgumentException();
        }
    }
}
